org.eclipse.eef.core.api.controllers

## Interface IEEFLabelController

All Superinterfaces:
  IEEFController, IEEFWidgetController

All Known Implementing Classes:
  EEFLabelController

    public interface IEEFLabelController
    extends IEEFWidgetController

The EEFLabelController is responsible of supporting all the interactions with the widgets created for an EEFLabelDescription.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.core.runtime.IStatus` `action(EEFWidgetAction action)` Invoked when the user clicks on an action button.
`void` `onNewValue(IConsumer<java.lang.String> consumer)` Register a consumer which will be called with the new value of the label when it will change.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the label.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewValue

    void onNewValue(IConsumer<java.lang.String> consumer)

Register a consumer which will be called with the new value of the label when it will change.

Parameters:
  `consumer` - The consumer of the new value of the label

#### removeNewValueConsumer

    void removeNewValueConsumer()

Remove the consumer of the new value of the label.

#### action

    org.eclipse.core.runtime.IStatus action(EEFWidgetAction action)

Invoked when the user clicks on an action button.

Parameters:
  `action` - Widget action
Returns:
  the status of the action execution